main {
  margin-top: 5rem;
  padding: 5%;
}

.banner-video,
.ipad-video,
.travel-agency-video {
  margin-bottom: 100px;
}

.motion-graphics {
  justify-content: space-between;
  align-items: center;
  margin-bottom: 30px;
}

.motion-video-container {
  flex: 0 0 30%;
  margin: 3% 0 3% 0;
}

.motion-video-container iframe {
  width: 100%;
  height: 350px;
}

.video-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 70vh; /* Set height to occupy the full viewport height */
}

.video-container iframe {
  width: 100%; /* Set iframe width to fill the container */
  height: 100%; /* Set iframe height to fill the container */
}

.video-group {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  justify-content: space-between;
}

.description {
  flex: 0 0 60%;
  text-align: justify; /* Justify all text */
  margin: 1rem 0 3rem 0;
}

.description p {
  display: inline-block; /* Allows manipulation of text-align-last */
}

.description p:last-child {
  text-align-last: center; /* Center align only the last line */
  display: block; /* Ensures last paragraph occupies full width */
}

video {
  max-width: 100%;
}

/* Tablet screen */
@media (min-width: 768px) and (max-width: 1023px) {
  .motion-dec {
    margin: 0;
  }
}

/* Phone screen */
@media (max-width: 768px) {
  .banner-video,
  .motion-graphics,
  .ipad-video,
  .travel-agency-video {
    flex-direction: column;
  }

  .video-group {
    flex-direction: column;
  }

  .motion-video-container {
    margin: 3% 0;
  }

  .motion-dec {
    margin: 0;
  }

  .video-container,
  .description {
    flex: 0 0 100%;
    margin: 10px 0;
  }
}
